class LocalStorage {
    static instance: LocalStorage = null;
    // //保存关卡
    // saveLvDt(curLv: number) {
    //     localStorage.setItem("curLv", JSON.stringify(curLv));
    // }
    // //获取关卡
    // getLvDt(): number {
    //     const jsonStr = localStorage.getItem("curLv")
    //     return JSON.parse(jsonStr);
    // }
    // //保存玩家名字
    // savePlayerName(name: string) {
    //     localStorage.setItem("PlayerName", JSON.stringify(name));
    // }
    // //获取玩家名字
    // getPlayerName(): string {
    //     const jsonStr = localStorage.getItem("PlayerName")
    //     return JSON.parse(jsonStr);
    // }
    // //金币
    // saveGold(num: number) {
    //     localStorage.setItem("Gold", JSON.stringify(num));
    // }
    // getGold(): number {
    //     const jsonStr = localStorage.getItem("Gold")
    //     return JSON.parse(jsonStr);
    // }
    // //钻石
    // saveDiamond(num: number) {
    //     localStorage.setItem("Diamond", JSON.stringify(num));
    // }
    // getDiamond(): number {
    //     const jsonStr = localStorage.getItem("Diamond")
    //     return JSON.parse(jsonStr);
    // }
    /**
     * 保存数据
     * @param dtName 数据名
     * @param dt 数据
     */
    saveData(dtName: string, dt: number | string) {
        localStorage.setItem(dtName, JSON.stringify(dt));
    }

    /**
     * 获取数据
     * @param dtName 数据名
     * @returns 
     */
    getData(dtName: string): number | string {
        const jsonStr = localStorage.getItem(dtName);
        return JSON.parse(jsonStr);
    }

    /**
     * 清除数据并初始化
     */
    clearAll() {
        localStorage.clear();
        this.saveData("Diamond", 188);
        this.saveData("Gold", 5888);
        this.saveData("curLv", 1);
        this.saveData("availableCardSlot", 5);
    }
}
export const localDt: LocalStorage = LocalStorage.instance = new LocalStorage();

